作者 主題: 在redhat 5.5 上的iSCSI target 安裝錯誤  (閱讀 4639 次)

0 會員 與 1 訪客 正在閱讀本文。

jonathan_lwo

  • 活潑的大學生
  • ***
  • 文章數: 320
    • 檢視個人資料
在redhat 5.5 上的iSCSI target 安裝錯誤
« 於: 2011-04-15 16:38 »
我在Red hat 5.5 安裝scsi-target套件
不論是在圖形介面或是用指令 rpm -ivh scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386.rpm
都會錯誤
請問這是缺什麼套件呢?
謝謝

(參考鳥哥的文件:http://linux.vbird.org/somepaper/20081205-rhel5-iscsi.pdf
及http://jerryboy.no-ip.com/forum/index.php?topic=758.0)



Error resolving dependencies

unable to resolve dependencies for some packages selected for installion.

Details:
Missing Dependency: libibverbs.so.1 is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1i386)
Missing Dependency:perl(Config::General)is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386)
Missing Dependency:librdmacm.so.1 is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386)

smeeis

  • 懷疑的國中生
  • **
  • 文章數: 62
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #1 於: 2011-04-15 18:22 »
已經告您是套件相依性問題, 試試看 yum  或去 rpm search  找

jonathan_lwo

  • 活潑的大學生
  • ***
  • 文章數: 320
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #2 於: 2011-04-22 14:37 »
我用centos  來做,馬上成功

但使用 redhat …
因為過期了,無法線上update
所以想問到底是缺什麼套件,想手動裝上去啊


xiang

  • 鑽研的研究生
  • *****
  • 文章數: 711
  • 性別: 男
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #3 於: 2011-04-22 15:55 »
Error resolving dependencies

unable to resolve dependencies for some packages selected for installion.

Details:
Missing Dependency: libibverbs.so.1 is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1i386)
Missing Dependency:perl(Config::General)is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386)
Missing Dependency:librdmacm.so.1 is needed by package scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386
(/scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386)

RHEL過期了,改用CentOS試試?

jonathan_lwo

  • 活潑的大學生
  • ***
  • 文章數: 320
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #4 於: 2011-04-23 10:23 »

RHEL過期了,改用CentOS試試?


CentOS 套件一裝好就成功了啊
但想在redhat 上測看看

 
« 上次編輯: 2011-04-23 10:25 由 jonathan_lwo »

cmwang

  • 活潑的大學生
  • ***
  • 文章數: 322
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #5 於: 2011-04-24 07:57 »

CentOS 套件一裝好就成功了啊
但想在redhat 上測看看
 

先在CentOS上裝,看裝iSCSI還會裝啥package,然後在redhat上手動依樣畫葫蘆 ??? ???....
不要,不要,我不要這種顏色的帽子 ;D ;D....

jonathan_lwo

  • 活潑的大學生
  • ***
  • 文章數: 320
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #6 於: 2011-04-24 20:06 »

先在CentOS上裝,看裝iSCSI還會裝啥package,然後在redhat上手動依樣畫葫蘆 ??? ???....

原本我也是這樣想
但CentOS一裝scsi-target-utils-0.0-6.20091205snap.el5_4.1.i386.rpm 就成功了
根本沒出現缺什麼package的問題…

jonathan_lwo

  • 活潑的大學生
  • ***
  • 文章數: 320
    • 檢視個人資料
回覆: 在redhat 5.5 上的iSCSI target 安裝錯誤
« 回覆 #7 於: 2011-04-29 17:32 »
剛剛用CentOS再玩一次
把所需套件抓出來了…

scsi-target-utils     i386          1.0.8-0.el5_6.1
libibverbs              i386          1.1.3-2.el5
librdmacm             i386          1.0.10-1.el5
openib                  noarch       1.4.1-5.el5
perl-Config-General noarch       2.40-1.el5



以後還是用centos 的比較好…
« 上次編輯: 2011-04-29 17:35 由 jonathan_lwo »